Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596286 - shared-mime-info segfaults
shared-mime-info segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 10:23 EDT by Ralf Corsepius
Modified: 2011-06-27 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2010-05-26 10:23:31 EDT
Description of problem:

Today's update on FC13 brought along this:

# yum update
...
/var/tmp/rpm-tmp.dKgOzq: line 1:  2572 Segmentation fault      update-mime-database /usr/share/mime &>/dev/null
...

Version-Release number of selected component (if applicable):
shared-mime-info-0.71-1.fc13.i686

How reproducible:
Always on one machine - Not reproducable on others.

Actual results:
see above.

Expected results:
Function.

Aditional info:

Traceback:
...
ore was generated by `update-mime-database /usr/share/mime'.
Program terminated with signal 11, Segmentation fault.
#0  0x0014a022 in xmlParseEntityValue__internal_alias (ctxt=0x8b5aef0, orig=0x1) at parser.c:3487
3487	xmlParseEntityValue(xmlParserCtxtPtr ctxt, xmlChar **orig) {
(gdb) where
#0  0x0014a022 in xmlParseEntityValue__internal_alias (ctxt=0x8b5aef0, orig=0x1) at parser.c:3487
#1  0x08b5a4b0 in ?? ()
#2  0x0014b831 in xmlParseMarkupDecl__internal_alias (ctxt=0x8b56f08) at parser.c:6485
#3  0x0014b916 in xmlParseInternalSubset (ctxt=0x8b56f08) at parser.c:7890
#4  0x0014db4e in xmlParseDocument__internal_alias (ctxt=0x8b56f08) at parser.c:10176
#5  0x0014e8ed in xmlSAXParseFileWithData__internal_alias (sax=0x0, filename=0x8b5a138 "/usr/share/mime/packages/freedesktop.org.xml", recovery=0, data=0x0) at parser.c:13466
#6  0x0014e998 in xmlSAXParseFile__internal_alias (sax=0x0, filename=0x8b5a138 "/usr/share/mime/packages/freedesktop.org.xml", recovery=0) at parser.c:13507
#7  0x0014e9f2 in xmlParseFile__internal_alias (filename=0x8b5a138 "/usr/share/mime/packages/freedesktop.org.xml") at parser.c:13539
#8  0x0804e702 in load_source_file (path=0x8b52258 "/usr/share/mime/packages") at update-mime-database.c:685
#9  scan_source_dir (path=0x8b52258 "/usr/share/mime/packages") at update-mime-database.c:816
#10 0x0804ef8c in main (argc=2, argv=0xbf8ea2d4) at update-mime-database.c:3534
Comment 1 Ralf Corsepius 2010-05-26 10:49:48 EDT
Further info:

xmllint /usr/share/mime/packages/freedesktop.org.xml
also segfaults on the machine exposing this problem.

Neither xmllint nor update-mime-database segfault on other machines I tried 
(I verified the files are identical).

The machine exposing this issue is Atom N270 based (running *-PAE kernel), while the others are an old Pentium III (running "no-PAE" kernel") rsp. x86_64.

Wild guess: An atom incompatibility in libxml2?
Comment 2 Bastien Nocera 2010-05-26 11:03:37 EDT
If xmllint crashes as well, then it's not something I can help with.
Comment 3 Ralf Corsepius 2010-05-26 11:15:17 EDT
(In reply to comment #2)
> If xmllint crashes as well, then it's not something I can help with.    
I could send you the core dumps to investigate ;)

but ... After several reboots, both xmllint and update-mime-database have begun working, again ...

Smells like NM, dbus, SELinux, prelink or friends in action ;)
Comment 4 Bug Zapper 2011-06-02 09:25:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:42:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.